# Microsoft Visual C++ generated build script - Do not modify

PROJ = ELRAD
DEBUG = 1
PROGTYPE = 1
CALLER = dasylab
ARGS = 
DLLS = 
D_RCDEFINES = /d_DEBUG 
R_RCDEFINES = /dNDEBUG 
ORIGIN = MSVC
ORIGIN_VER = 1.00
PROJPATH = C:\DLAB\
USEMFC = 0
CC = cl
CPP = cl
CXX = cl
CCREATEPCHFLAG = 
CPPCREATEPCHFLAG = 
CUSEPCHFLAG = 
CPPUSEPCHFLAG = 
FIRSTC = ELRAD.C     
FIRSTCPP =             
RC = rc
CFLAGS_D_WDLL = /nologo /G2 /W4 /Gf /Zi /ALw /Od /D "_DEBUG" /D "STRICT" /GD /Fd"demo.PDB"
CFLAGS_R_WDLL = /nologo /G3 /W4 /WX /Gf /ALw /O2 /D "NDEBUG" /D "STRICT" /GD 
LFLAGS_D_WDLL = /NOLOGO /NOD /NOE /PACKC:61440 /ALIGN:16 /ONERROR:NOEXE /CO  
LFLAGS_R_WDLL = /NOLOGO /NOD /NOE /PACKC:61440 /ALIGN:16 /ONERROR:NOEXE  
LIBS_D_WDLL = oldnames libw ldllcew mmsystem.lib 
LIBS_R_WDLL = oldnames libw ldllcew mmsystem.lib 
RCFLAGS = /nologo 
RESFLAGS = /nologo 
RUNFLAGS = 
DEFFILE = ELRAD.DEF
OBJS_EXT = 
LIBS_EXT = 
!if "$(DEBUG)" == "1"
CFLAGS = $(CFLAGS_D_WDLL)
LFLAGS = $(LFLAGS_D_WDLL)
LIBS = $(LIBS_D_WDLL)
MAPFILE = nul
RCDEFINES = $(D_RCDEFINES)
!else
CFLAGS = $(CFLAGS_R_WDLL)
LFLAGS = $(LFLAGS_R_WDLL)
LIBS = $(LIBS_R_WDLL)
MAPFILE = nul
RCDEFINES = $(R_RCDEFINES)
!endif
!if [if exist MSVC.BND del MSVC.BND]
!endif
SBRS = ELRAD.SBR


ELRAD_DEP = c:\dlab\treiber.h


all:	$(PROJ).DLL

ELRAD.OBJ:	ELRAD.C $(ELRAD_DEP)
	$(CC) $(CFLAGS) $(CCREATEPCHFLAG) /c ELRAD.C

ELRAD.RES:	ELRAD.RC $(ELRAD_RCDEP)
	$(RC) $(RCFLAGS) $(RCDEFINES) -r ELRAD.RC


$(PROJ).DLL::	ELRAD.RES

$(PROJ).DLL::	ELRAD.OBJ $(OBJS_EXT) $(DEFFILE)
	echo >NUL @<<$(PROJ).CRF
ELRAD.OBJ +
$(OBJS_EXT)
$(PROJ).DLL
$(MAPFILE)
c:\msvc\lib\+
c:\msvc\mfc\lib\+
$(LIBS)
$(DEFFILE);
<<
	link $(LFLAGS) @$(PROJ).CRF
	$(RC) $(RESFLAGS) ELRAD.RES $@
	@copy $(PROJ).CRF MSVC.BND
	implib /nowep $(PROJ).LIB $(PROJ).DLL

$(PROJ).DLL::	ELRAD.RES
	if not exist MSVC.BND 	$(RC) $(RESFLAGS) ELRAD.RES $@

run: $(PROJ).DLL
	$(PROJ) $(RUNFLAGS)


$(PROJ).BSC: $(SBRS)
	bscmake @<<
/o$@ $(SBRS)
<<
